## ros-one-librviz-tutorial 0.11.0-6jammy.20251027.2123

=== debian/changelog ===
ros-one-librviz-tutorial (0.11.0-6jammy.20251027.2123) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 27 Oct 2025 21:23:22 +0000

ros-one-librviz-tutorial (0.11.0-0jammy) jammy; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 13 May 2020 00:00:00 -0000

ros-one-librviz-tutorial (0.10.4-0jammy) jammy; urgency=high

  * Updated required CMake version to avoid CMP0048 warning (#57 <https://github.com/ros-visualization/visualization_tutorials/issues/57>)
  * Contributors: Alejandro Hernández Cordero

 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 13 May 2020 00:00:00 -0000

ros-one-librviz-tutorial (0.10.3-0jammy) jammy; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 09 May 2018 00:00:00 -0000

ros-one-librviz-tutorial (0.10.2-0jammy) jammy; urgency=high

  * Unified find_package for Qt4 and Qt5. (#33 <https://github.com/ros-visualization/visualization_tutorials//issues/33>)
  * Contributors: Robert Haschke, William Woodall

 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 05 Jan 2018 00:00:00 -0000

ros-one-librviz-tutorial (0.10.1-0jammy) jammy; urgency=high

  * Added qt5 dependencies to the package.xml.
  * Contributors: William Woodall

 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 21 Apr 2016 00:00:00 -0000

ros-one-librviz-tutorial (0.10.0-0jammy) jammy; urgency=high

  * Added support Qt5 in Kinetic.
  * Contributors: William Woodall

 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 21 Apr 2016 00:00:00 -0000

ros-one-librviz-tutorial (0.9.2-0jammy) jammy; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 21 Sep 2015 00:00:00 -0000

ros-one-librviz-tutorial (0.9.1-0jammy) jammy; urgency=high

  * Renamed a CMake variable to avoid colliding with built-in name.
  * librviz_tutorial now installs it's executable ``myviz``.
  * Removed explicit default_plugin library to fix "ld: cannot find -ldefault_plugin" isolated build error
  * Contributors: Honore Doktorr, Kei Okada, William Woodall

 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 26 Jan 2015 00:00:00 -0000

ros-one-librviz-tutorial (0.9.0-0jammy) jammy; urgency=high

  * set myself (william) as maintainer
  * Contributors: William Woodall

 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 24 Mar 2014 00:00:00 -0000

## ros-one-librviz-tutorial 0.11.0-6jammy.20251215.2137

=== debian/changelog ===
ros-one-librviz-tutorial (0.11.0-6jammy.20251215.2137) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 15 Dec 2025 21:37:14 +0000

## ros-one-librviz-tutorial 0.11.0-6jammy.20260302.2128

=== CMakeLists.txt ===
## BEGIN_TUTORIAL
## This CMakeLists.txt file for rviz_plugin_tutorials builds both the
## TeleopPanel tutorial and the ImuDisplay tutorial.
##
## First start with some standard catkin stuff.
cmake_minimum_required(VERSION 3.0.2)
project(librviz_tutorial)
find_package(catkin REQUIRED COMPONENTS rviz roscpp)
catkin_package()
include_directories(${catkin_INCLUDE_DIRS})
link_directories(${catkin_LIBRARY_DIRS})

## This setting causes Qt's "MOC" generation to happen automatically.
set(CMAKE_AUTOMOC ON)

## This plugin includes Qt widgets, so we must include Qt.
## We'll use the version that rviz used so they are compatible.
if(rviz_QT_VERSION VERSION_LESS "5")
  message(STATUS "Using Qt4 based on the rviz_QT_VERSION: ${rviz_QT_VERSION}")
  find_package(Qt4 ${rviz_QT_VERSION} EXACT REQUIRED QtCore QtGui)
  ## pull in all required include dirs, define QT_LIBRARIES, etc.
  include(${QT_USE_FILE})
else()
  message(STATUS "Using Qt5 based on the rviz_QT_VERSION: ${rviz_QT_VERSION}")
  find_package(Qt5 ${rviz_QT_VERSION} EXACT REQUIRED Core Widgets)
  ## make target_link_libraries(${QT_LIBRARIES}) pull in all required dependencies
  set(QT_LIBRARIES Qt5::Widgets)
endif()

## I prefer the Qt signals and slots to avoid defining "emit", "slots",
## etc because they can conflict with boost signals, so define QT_NO_KEYWORDS here.
add_definitions(-DQT_NO_KEYWORDS)

## Here we specify the list of source files.
## The generated MOC files are included automatically as headers.
set(SRC_FILES
  src/myviz.cpp
  src/main.cpp
)

## Add the "myviz" executable and specify the list of source files we
## collected above in ``${SRC_FILES}``.
add_executable(myviz ${SRC_FILES})

## Link the myviz executable with whatever Qt libraries have been defined by
## the ``find_package(Qt4 ...)`` line above, or by the
## ``set(QT_LIBRARIES Qt5::Widgets)``, and with whatever libraries
## catkin has included.
target_link_libraries(myviz ${QT_LIBRARIES} ${catkin_LIBRARIES})
## END_TUTORIAL

## Install
install(TARGETS myviz DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

=== debian/changelog ===
ros-one-librviz-tutorial (0.11.0-6jammy.20260302.2128) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 02 Mar 2026 21:28:20 +0000

=== debian/control ===
Source: ros-one-librviz-tutorial
Section: misc
Priority: optional
Maintainer: Mabel Zhang <mabel@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), qtbase5-dev, ros-one-catkin, ros-one-roscpp, ros-one-rviz
Homepage: http://ros.org/wiki/librviz_tutorial
Standards-Version: 3.9.2

Package: ros-one-librviz-tutorial
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt5core5a, libqt5gui5, libqt5widgets5, ros-one-roscpp, ros-one-rviz
Description: Tutorial showing how to compile your own C++ program with RViz displays and features.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-librviz-tutorial//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-librviz-tutorial 0.11.0-6noble.20251215.2136

=== debian/changelog ===
ros-one-librviz-tutorial (0.11.0-6noble.20251215.2136) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 15 Dec 2025 21:36:44 +0000

ros-one-librviz-tutorial (0.11.0-0noble) noble; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 13 May 2020 00:00:00 -0000

ros-one-librviz-tutorial (0.10.4-0noble) noble; urgency=high

  * Updated required CMake version to avoid CMP0048 warning (#57 <https://github.com/ros-visualization/visualization_tutorials/issues/57>)
  * Contributors: Alejandro Hernández Cordero

 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 13 May 2020 00:00:00 -0000

ros-one-librviz-tutorial (0.10.3-0noble) noble; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 09 May 2018 00:00:00 -0000

ros-one-librviz-tutorial (0.10.2-0noble) noble; urgency=high

  * Unified find_package for Qt4 and Qt5. (#33 <https://github.com/ros-visualization/visualization_tutorials//issues/33>)
  * Contributors: Robert Haschke, William Woodall

 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 05 Jan 2018 00:00:00 -0000

ros-one-librviz-tutorial (0.10.1-0noble) noble; urgency=high

  * Added qt5 dependencies to the package.xml.
  * Contributors: William Woodall

 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 21 Apr 2016 00:00:00 -0000

ros-one-librviz-tutorial (0.10.0-0noble) noble; urgency=high

  * Added support Qt5 in Kinetic.
  * Contributors: William Woodall

 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 21 Apr 2016 00:00:00 -0000

ros-one-librviz-tutorial (0.9.2-0noble) noble; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 21 Sep 2015 00:00:00 -0000

ros-one-librviz-tutorial (0.9.1-0noble) noble; urgency=high

  * Renamed a CMake variable to avoid colliding with built-in name.
  * librviz_tutorial now installs it's executable ``myviz``.
  * Removed explicit default_plugin library to fix "ld: cannot find -ldefault_plugin" isolated build error
  * Contributors: Honore Doktorr, Kei Okada, William Woodall

 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 26 Jan 2015 00:00:00 -0000

ros-one-librviz-tutorial (0.9.0-0noble) noble; urgency=high

  * set myself (william) as maintainer
  * Contributors: William Woodall

 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 24 Mar 2014 00:00:00 -0000

## ros-one-librviz-tutorial 0.11.0-6noble.20260302.2139

=== debian/changelog ===
ros-one-librviz-tutorial (0.11.0-6noble.20260302.2139) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 02 Mar 2026 21:39:52 +0000

=== debian/control ===
--- 
+++ 
@@ -8,5 +8,5 @@
 
 Package: ros-one-librviz-tutorial
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libqt5core5a, libqt5gui5, libqt5widgets5, ros-one-roscpp, ros-one-rviz
+Depends: ${shlibs:Depends}, ${misc:Depends}, libqt5core5t64, libqt5gui5t64, libqt5widgets5t64, ros-one-roscpp, ros-one-rviz
 Description: Tutorial showing how to compile your own C++ program with RViz displays and features.
